Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# IPEndpoint Class Reference

static class for system calls

Attention:
  the implementation is system specific!

More...

`#include <IPEndpoint.h>`

Inheritance diagram for IPEndpoint:

[legend]
List of all members.

## Public Member Functions
| IPEndpoint (int sbs=16384, int rbs=16384)
| ~IPEndpoint ()
virtual void | listenCont (antEnvMsg *msg)
virtual void | sendCont (antEnvMsg *msg)
virtual void | receiveCont (antEnvMsg *msg)
virtual void | closeCont (antEnvMsg *msg)
virtual void | connectCont (antEnvMsg *msg)
## Protected Attributes
antModuleRef | endpoint
antSharedBuffer | sendBuffer
byte * | sharedSendBuffer
int | sharedSendBufferSize
int | sharedReceiveBufferSize
antSharedBuffer | receiveBuffer
byte * | sharedReceiveBuffer
int * | listenContSelector
int * | sendContSelector
int * | receiveContSelector
int * | closeContSelector
int * | connectContSelector
antStackRef | ipStackRef
OID * | myOID_

## Detailed Description

static class for system calls

Attention:
  the implementation is system specific!

Definition at line 20 of file IPEndpoint.h.

## Constructor & Destructor Documentation

IPEndpoint::IPEndpoint | ( | int | sbs = 16384,
|  | int | rbs = 16384
| ) |

| Definition at line 20 of file IPEndpoint.cpp. References closeContSelector, connectContSelector, ProcessBase::getOID(), ipStackRef, listenContSelector, myOID_, receiveBuffer, receiveContSelector, sendBuffer, sendContSelector, sharedReceiveBuffer, sharedReceiveBufferSize, sharedSendBuffer, and sharedSendBufferSize.

Here is the call graph for this function:

IPEndpoint::~IPEndpoint | ( |  | ) |

| Definition at line 69 of file IPEndpoint.cpp. References receiveBuffer, and sendBuffer.

## Member Function Documentation

virtual void IPEndpoint::listenCont | ( | antEnvMsg * | msg | ) | `[inline, virtual]`

| Reimplemented in TCPEndpoint. Definition at line 26 of file IPEndpoint.h.

virtual void IPEndpoint::sendCont | ( | antEnvMsg * | msg | ) | `[inline, virtual]`

| Reimplemented in TCPEndpoint, and UDPEndpoint. Definition at line 27 of file IPEndpoint.h.

virtual void IPEndpoint::receiveCont | ( | antEnvMsg * | msg | ) | `[inline, virtual]`

| Reimplemented in TCPEndpoint, and UDPEndpoint. Definition at line 28 of file IPEndpoint.h.

virtual void IPEndpoint::closeCont | ( | antEnvMsg * | msg | ) | `[inline, virtual]`

| Reimplemented in TCPEndpoint, and UDPEndpoint. Definition at line 29 of file IPEndpoint.h.

virtual void IPEndpoint::connectCont | ( | antEnvMsg * | msg | ) | `[inline, virtual]`

| Reimplemented in TCPEndpoint. Definition at line 30 of file IPEndpoint.h.

## Member Data Documentation

antModuleRef IPEndpoint::endpoint`[protected]`

| Definition at line 34 of file IPEndpoint.h.

antSharedBuffer IPEndpoint::sendBuffer`[protected]`

| Definition at line 36 of file IPEndpoint.h. Referenced by IPEndpoint(), and ~IPEndpoint().

byte* IPEndpoint::sharedSendBuffer`[protected]`

| Definition at line 37 of file IPEndpoint.h. Referenced by IPEndpoint().

int IPEndpoint::sharedSendBufferSize`[protected]`

| Definition at line 38 of file IPEndpoint.h. Referenced by IPEndpoint().

int IPEndpoint::sharedReceiveBufferSize`[protected]`

| Definition at line 39 of file IPEndpoint.h. Referenced by IPEndpoint().

antSharedBuffer IPEndpoint::receiveBuffer`[protected]`

| Reimplemented in TCPHandler. Definition at line 42 of file IPEndpoint.h. Referenced by IPEndpoint(), and ~IPEndpoint().

byte* IPEndpoint::sharedReceiveBuffer`[protected]`

| Definition at line 43 of file IPEndpoint.h. Referenced by IPEndpoint().

int* IPEndpoint::listenContSelector`[protected]`

| Definition at line 50 of file IPEndpoint.h. Referenced by IPEndpoint().

int* IPEndpoint::sendContSelector`[protected]`

| Definition at line 51 of file IPEndpoint.h. Referenced by IPEndpoint().

int* IPEndpoint::receiveContSelector`[protected]`

| Definition at line 52 of file IPEndpoint.h. Referenced by IPEndpoint().

int* IPEndpoint::closeContSelector`[protected]`

| Definition at line 53 of file IPEndpoint.h. Referenced by IPEndpoint().

int* IPEndpoint::connectContSelector`[protected]`

| Definition at line 54 of file IPEndpoint.h. Referenced by IPEndpoint().

antStackRef IPEndpoint::ipStackRef`[protected]`

| Definition at line 60 of file IPEndpoint.h. Referenced by IPEndpoint().

OID* IPEndpoint::myOID_`[protected]`

| Definition at line 61 of file IPEndpoint.h. Referenced by IPEndpoint().

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/IPEndpoint.h
- Platform/Aperios1.3.2/IPEndpoint.cpp